NFIRM error

Discussion in '3DS - Flashcards & Custom Firmwares' started by gordesky1, May 10, 2016.

  1. gordesky1
    OP

    gordesky1 Member

    Newcomer
    41
    4
    Mar 16, 2016
    United States
    Been trying to get a answer for this error im getting downgrading red hand to 2.1 and i cant get a answer to it..

    Tho i just notice my redhand somehow has 11.0.0-33u which before it had 10 something which i might,ve click the update button a 2nd time...

    Is that why im getting that error ? and how can i get pass that so i can downgrade and get finally threw all the steps lol..


    [​IMG]
    image url upload
     


  2. gunner007

    gunner007 GBAtemp Advanced Maniac

    Member
    1,506
    368
    Dec 31, 2013
    United States
    Are you using ReiNAND by chance? If you're using an older version, it blocked NFIRM installs.
     
  3. daxtsu

    daxtsu GBAtemp Guru

    Member
    5,494
    3,879
    Jun 9, 2007
    Another possibility is he's using Luma or some other CFW which is booting 11.0 FIRM off NAND, and this new FIRM blocks downgrading essentially. Use a 10.2 or 10.4 firmware.bin if your CFW supports it.
     
  4. gordesky1
    OP

    gordesky1 Member

    Newcomer
    41
    4
    Mar 16, 2016
    United States
    all i been doing is following this https://github.com/Plailect/Guide/wiki/Part-4-(Getting-the-OTP) luma which im stuck right on step 11. The funny thing is i remember seeing 10.7.0 instead of 11.0.0-33u but i did update 2 times on the redhand just to make sure everything was good and i guess the 2nd time doing it nintendo pop the new one up.. than that page didin't get updated till hours later.

    Do i have to redo part 4 all again?

    — Posts automatically merged - Please don't double post! —

    Now i do have a backup of emunand_orignal.bin which im pretty sure is not the newest firmware. i also have emunand formatted.bin also but im pretty sure thats still 11..


    Really stuff going around is not very clear some say you don't need the firmware.bin but on Plailect guide says you do...
     
    Last edited by gordesky1, May 10, 2016
  5. Monty Kensicle

    Monty Kensicle Yay!

    Member
    1,121
    268
    Aug 4, 2008
    United States
    Commonwealth of Virginia
    Is upgrading RedNAND required? Or is it just so you'll have a completely upgraded CFW sysNAND by the end of it?
     
  6. gordesky1
    OP

    gordesky1 Member

    Newcomer
    41
    4
    Mar 16, 2016
    United States

    Its mostly so you have a completely upgraded cfw. tho i was told to completely follow the guide which i did. which i kinda made a mistake updating it 2 times which the 2nd time Nintendo must've pop up up the new 11 one...

    At the moment im lost on what to do? Do i redo the Part 4 - Getting the OTP sense its been updated or what..


    Also found out my backup bins for emu are 11 too... could've sworn i made backups before the 2nd update i did...


    Im going to try a new sd card once again and try to follow that guide again and see if it works than.
     
    Last edited by gordesky1, May 10, 2016
  7. rs232c

    rs232c Newbie

    Newcomer
    6
    2
    Nov 4, 2015
    Swaziland
    I'm having the exact same error. First I had the error described in this thread:
    https://gbatemp.net/threads/downgrading-to-2-1-0-fails.424641/

    Then I updated my RedNand to which is now 11.0 and the Nfirm error occurs when I try to downgrade to 2.1.

    The 3ds has never been used for something homebrew related before. I received it with 10.3 installed yesterday.
     
  8. Yygyyg1

    Yygyyg1 Member

    Newcomer
    10
    1
    Apr 19, 2014
    United States
    I was getting the same error last night so i switched to cakes cfw and it worked on the first try.
     
    Last edited by Yygyyg1, May 11, 2016
    rs232c likes this.
  9. rs232c

    rs232c Newbie

    Newcomer
    6
    2
    Nov 4, 2015
    Swaziland
    Thanks Cakes worked for me too :)
     
  10. gordesky1
    OP

    gordesky1 Member

    Newcomer
    41
    4
    Mar 16, 2016
    United States
    i got mine solved, the problem was because i was on 11,0 firmware which i thought i was on 10.7 which i was but i updated a 2nd time after i did the first and Nintendo mustve updated when i did it..

    so i re did my redhand on 9.2 again than i downgraded right from there to 2.1 and it worked:) And i finally got my 3ds cfw lol...
     
  11. jesterscourt

    jesterscourt Not Brad.

    Member
    2,180
    66
    Jan 3, 2007
    United States
    I think I am in the same boat as you, how would I put my RedNAND back on 9.2?
     
  12. Timbiotic

    Timbiotic Member

    Newcomer
    11
    0
    Jan 10, 2015
    United States
    Grand Rapids, Michigan
    How do you use Cake on your current renand? I tried installing it and it says firmware.bin missing
     
  13. EmperorOfCanada

    EmperorOfCanada GBAtemp Maniac

    Member
    1,478
    96
    Aug 4, 2008
    Canada
    Canada
    PM me, I will link you what you need.

    *UG* just realized how old these posts were. Sorry.
     
    Last edited by EmperorOfCanada, Jun 26, 2016
  14. Timbiotic

    Timbiotic Member

    Newcomer
    11
    0
    Jan 10, 2015
    United States
    Grand Rapids, Michigan
    Nevermind I found it in the thread, but now my "FBI" for health and safety isn't working or the sysupdater. Do I need to start over?
     
  15. EmperorOfCanada

    EmperorOfCanada GBAtemp Maniac

    Member
    1,478
    96
    Aug 4, 2008
    Canada
    Canada
    @gordesky1

    — Posts automatically merged - Please don't double post! —

    Plaisysupdater? Not working how?
     
  16. Timbiotic

    Timbiotic Member

    Newcomer
    11
    0
    Jan 10, 2015
    United States
    Grand Rapids, Michigan
    the icon says I need to reinstall it from the osd. So I go over to the "FBI" icon and it says the same thing. Do I need to do the decrypt injection again?
     
    Last edited by Timbiotic, Jun 26, 2016
  17. EmperorOfCanada

    EmperorOfCanada GBAtemp Maniac

    Member
    1,478
    96
    Aug 4, 2008
    Canada
    Canada
    Thats odd, so to be clear, this is on your Emunand, and neither the Plaisysupdater, nor FBI will launch? At what Part-Section-Step are you at, and using what guide?
     
  18. Timbiotic

    Timbiotic Member

    Newcomer
    11
    0
    Jan 10, 2015
    United States
    Grand Rapids, Michigan
    Using Plailect guide and was getting the same issue in this thread when I tried to downgrade (first pic) so I was going to try Cake. I am at the part 4 downgrade on an o3ds. The only option I chose was enable emunand in the cake options. I did Luma first and am switching to Cake for the downgrade. And yes this is my emunand on 11

    — Posts automatically merged - Please don't double post! —

    even weirder I just checked settings and it didn't have emu in front and exited back to my sysnand. which thankfully is still 9.2. Should I not check the emunand option? I am really new to cake and not sure how to transfer
     
  19. EmperorOfCanada

    EmperorOfCanada GBAtemp Maniac

    Member
    1,478
    96
    Aug 4, 2008
    Canada
    Canada
    You should switch back to LUMA, and I will PM you so we can let this thread die (again)
     
  20. Timbiotic

    Timbiotic Member

    Newcomer
    11
    0
    Jan 10, 2015
    United States
    Grand Rapids, Michigan
    found it, disable signature checks